package com.ruoyi.frequency.userwithdrawalway.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.controller.req.AddUserWithdrawalWayReq;
import com.ruoyi.controller.req.EditUserWithdrawalWayReq;
import com.ruoyi.frequency.userwithdrawalway.entity.UserWithdrawalWay;
import com.ruoyi.response.ResponseData;
import com.ruoyi.vo.UserVo;

import java.util.List;

/**
 * 用户提现方式Service接口
 * 
 * @author liwenlong
 * @date 2023-07-20
 */
public interface UserWithdrawalWayService extends IService<UserWithdrawalWay>
{
    /**
     * 查询用户提现方式
     * 
     * @param id 用户提现方式主键
     * @return 用户提现方式
     */
    UserWithdrawalWay selectUserWithdrawalWayById(Long id);

    /**
     * 查询用户提现方式列表
     * 
     * @param userWithdrawalWay 用户提现方式
     * @return 用户提现方式集合
     */
    List<UserWithdrawalWay> selectUserWithdrawalWayList(UserWithdrawalWay userWithdrawalWay);

    /**
     * 新增用户提现方式
     * 
     * @param userWithdrawalWay 用户提现方式
     * @return 结果
     */
    int insertUserWithdrawalWay(UserWithdrawalWay userWithdrawalWay);

    /**
     * 修改用户提现方式
     * 
     * @param userWithdrawalWay 用户提现方式
     * @return 结果
     */
    int updateUserWithdrawalWay(UserWithdrawalWay userWithdrawalWay);

    /**
     * 批量删除用户提现方式
     * 
     * @param ids 需要删除的用户提现方式主键集合
     * @return 结果
     */
    int deleteUserWithdrawalWayByIds(Long[] ids);

    /**
     * 删除用户提现方式信息
     * 
     * @param id 用户提现方式主键
     * @return 结果
     */
    int deleteUserWithdrawalWayById(Long id);

    ResponseData selList(UserVo userVo);

    ResponseData defaultWay(UserVo userVo);

    ResponseData getDetail(Long id);

    ResponseData addOne(UserVo userVo, AddUserWithdrawalWayReq req);

    ResponseData editOne(EditUserWithdrawalWayReq req, UserVo userVo);

    ResponseData deleteOne(Long id);
}
